Subject: Re: bug#47724: error: connect: /run/user/1000/shepherd/socket: No such file or directory

From: Leo Famulari <[email-masked]>
Date: Mon, 12 Apr 2021 14:24:13 -0400

On Mon, Apr 12, 2021 at 12:54:14PM +0000, bo0od wrote:
> Following manual installation on what to do after first boot:
> 
> https://guix.gnu.org/en/manual/en/html_node/After-System-Installation.html
> 
> "sudo guix system reconfigure /etc/config.scm"
> 
> but running this command will request (after it finish) to restart some
> services which cant be restarted leading to the error in the title.

Thanks for the report...

> To complete the upgrade, run 'herd restart SERVICE' to stop,
> upgrade, and restart each service that was not automatically restarted.
> Run 'herd status' to view the list of services on your system.
> user@host ~$ herd restart term-auto
> error: connect: /run/user/1000/shepherd/socket: No such file or directory
> user@host ~$ herd status
> error: connect: /run/user/1000/shepherd/socket: No such file or directory 

The problem is that you need to be root to run these commands. We should
adjust the hint to say that.